// NormalRand.cpp
#include "NormalRand.h"
NormalRand::NormalRand():distribution(0.0, 1.0){
    std::random_device seed;
    engine.seed(seed());
}
NormalRand::NormalRand(double mu, double sigma):distribution(mu, sigma){
    std::random_device seed;
    engine.seed(seed());
}
double NormalRand::rand(){
    return distribution(engine);
}
