// NormalRand.h
#ifndef INCLUDED_NormalRandRAND_H_
#define INCLUDED_NormalRandRAND_H_
#include <random>
class NormalRand
{
public:
    NormalRand();       // constructor
    NormalRand(double mu, double sigma); // constructor
    ~NormalRand(){};    // destructor
    double rand();
private:
    std::mt19937 engine; // Mersenne Twister
    std::normal_distribution<double> distribution;
};
#endif
