// plotgraph.java
import java.util.Random;
import java.io.FileWriter;
import java.io.IOException;

public class plotgraph{

    public static void main(String [] args){
        double dt = 0.1;
        double ttime = 10.0;
        int npts = (int)(ttime/dt) + 1;
        Random ran = new Random();

        try{
            FileWriter fw = new FileWriter("ax.txt");
            for(int i=0;i<npts;i++){
                double a = ran.nextDouble();
                fw.write(dt*i + " " + a + "\n");
            }
            fw.close();
        }catch(IOException e){
            System.out.println(e);
        }


        String cmd;
        String OS = System.getProperty("os.name", "generic").toLowerCase();
        if (OS.indexOf("win") >= 0) {
            cmd = "cmd /c ..\\..\\tools\\gc ax.txt";            
        }else{ // mac
            cmd = "..//..//tools//gc ax.txt";
        }
        
        try{
            Process p = Runtime.getRuntime().exec(cmd);
            p.waitFor();
        } catch (Exception e) {}
    }
}
