// main.cpp of plotgraph
#include <iostream>
#include <fstream>
#include "UniRand.h"
int main(int argc, char** argv){
    double dt = 0.1;
    double ttime = 10.0;
    int npts = int(ttime/dt) + 1;
    UniRand urng;
    std::fstream fd("ax.txt", std::ios::out | std::ios::trunc);
    for(int i=0;i<npts;i++){
        double a = urng.rand();
        fd << dt*i << " " << a << std::endl;
    }
    fd.close();
#if defined(_WIN32)
    system("..\\..\\tools\\gc ax.txt ");
#else
    system("../../tools/gc ax.txt ");
#endif
    return 0;
}
