%  ode.m
function ode
    ttime = 10.0;
    dt = 0.1;
    npts = int32(ttime/dt) + 1;
    tt = linspace(0.0, ttime, npts);
    [t,y] = ode45(@rhs, tt, [1.0 0.0]);
    plot(t, y(:,1), t, y(:,2))
end

function dydt = rhs(t, y)
    dydt = [y(2); -y(1)];
end
